// @ts-nocheck
/**
 * 深度克隆壹個對象或數組
 * @param obj 要克隆的對象或數組
 * @returns 克隆後的對象或數組
 */
export function cloneDeep<T>(obj: any): T {
  // 如果傳入的對象是基本數據類型（如字符串、數字等），則直接返回
  // if(['number', 'string'].includes(typeof obj) || Array.isArray(obj)){
	 //   return obj as T
  // }
  if(typeof obj == 'object'){
	return JSON.parse(JSON.stringify(obj as T)) as T;
  }
  return obj as T
}

